Name:                invokebinder
Version:             1.2
Release:             2
Summary:             A Java DSL for binding method handles forward, rather than backward
License:             ASL 2.0
URL:                 http://github.com/headius/invokebinder/
Source0:             https://github.com/headius/invokebinder/archive/invokebinder-%{version}.zip
BuildArch:           noarch
BuildRequires:       maven-local mvn(junit:junit) mvn(org.sonatype.oss:oss-parent:pom:)
%description
This library hopes to provide a more friendly DSL for binding method handles.
Unlike the normal MethodHandle API, handles are bound forward from a source
MethodType and eventually adapted to a final target MethodHandle. Along the
way the transformations are pushed onto a stack and eventually applied in
reverse order, as the standard API demands.

%package javadoc
Summary:             Javadocs for invokebinder
%description javadoc
This package contains the API documentation for invokebinder.

%prep
%setup -q -n invokebinder-invokebinder-%{version}
find ./ -name '*.jar' -exec rm -f '{}' \;
find ./ -name '*.class' -exec rm -f '{}' \;

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Nov 09 2022 Ge Wang <wangge20@h-partners.com> - 1.2-2
- Bring source file into correspondence with described in sped file

* Mon Aug 24 2020 huanghaitao <huanghaitao8@huawei.com> - 1.2-1
- package init
